package com.jeequan.jeepay.core.interfaces.paychannel.aliaqfbiz;

import com.alibaba.fastjson.JSONObject;
import com.jeequan.jeepay.core.model.context.MchAppConfigContext;
import com.jeequan.jeepay.core.model.params.aliaqf.AliaqfIsvParams;

/*
 * 支付宝安全发API接口
 *
 * @author xiaoyu
 *
 * @date 2023/4/3 9:52
 */
public interface IAliaqfApiService {

    /** 获取支付宝个人协议页面签约接口 **/
    String userAgreementPageSign(AliaqfIsvParams aliaqfIsvParams, String appId);

    /** 查询支付宝个人协议页面签约接口 **/
    String queryUserAgreementPageSign(AliaqfIsvParams ALIAQFIsvParams, String appId);

    /** 资金记账本开通接口 **/
    String fundAccountbookCreate(AliaqfIsvParams ALIAQFIsvParams, String appId, String mchNo, String agreementNo);

    /** 资金转账页面接口 **/
    String fundTransPage(AliaqfIsvParams ALIAQFIsvParams, String appId, String mchNo, Long transAmount);

    /** 记账本信息查询接口 **/
    JSONObject fundAccountbookQuery(MchAppConfigContext mchAppConfigContext);


}
